## python-rioxarray 0.12.0

=== debian/changelog ===
python-rioxarray (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/copyright formatting.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Aug 2022 07:19:43 +0000

python-rioxarray (0.11.1-2) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update d/copyright.
  * Standards version bumped to 4.6.1, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Jul 2022 06:07:10 +0000

python-rioxarray (0.11.1-1) experimental; urgency=medium

  [ Magnus Hagdorn ]
  * Initial release (Closes: #980107).

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jan 2021 16:11:26 +0000

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|rioxarray)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rioxarray-$1.$2/ \
https://github.com/corteva/rioxarray/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|rioxarray)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rioxarray 0.15.1

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help test
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python3 -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test clean-docs ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

clean-docs: ## remove builds
	rm -fr docs/_build/
	rm -fr docs/examples/.ipynb_checkpoints/
	rm -fr docs/getting_started/.ipynb_checkpoints/

lint: ## check style with flake8
	flake8 rioxarray/ test/
	black --check .

check: lint

pylint:
	###### PYLINT ######
	pylint --rcfile .pylintrc rioxarray
	# Run our custom linter on test code.
	pylint --load-plugins tests.linter --disable=I,E,W,R,C,F --enable C9999,C9998 tests/

test: ## run tests quickly with the default Python
	pytest

docs: ## generate Sphinx HTML documentation, including API docs
	# rm -f docs/rioxarray*.rst
	# rm -f docs/modules.rst
	# sphinx-apidoc -o docs/ rioxarray
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

docs-browser: docs ## generate Sphinx HTML documentation, including API docs
	$(BROWSER) docs/_build/html/index.html

release: dist ## package and upload a release
	twine check --strict dist/*
	twine upload dist/*

dist: clean  ## builds source and wheel package
	python -m build

report: install-dev coverage ## clean, install development version, run all tests, produce coverage report

install: clean ## install the package to the active Python's site-packages
	pip install .

install-dev: clean ## install development version to active Python's site-packages
	pip install -e .[all]

## python-rioxarray 0.13.3

=== debian/changelog ===
python-rioxarray (0.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 20 Dec 2022 06:50:00 +0000

python-rioxarray (0.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 15 Dec 2022 06:30:54 +0000

python-rioxarray (0.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Nov 2022 17:21:25 +0000

python-rioxarray (0.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 Nov 2022 18:14:56 +0000

python-rioxarray (0.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Oct 2022 06:40:22 +0000

python-rioxarray (0.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Sep 2022 06:09:17 +0000

python-rioxarray (0.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Improve d/watch file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Sep 2022 16:06:11 +0000

=== debian/control ===
Source: python-rioxarray
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Magnus Hagdorn <magnus.hagdorn@ed.ac.uk>,
           Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 12),
               dh-sequence-python3,
               dh-python,
               pandoc,
               python3-all,
               python3-rasterio,
               python3-scipy,
               python3-xarray (>= 0.17),
               python3-pyproj (>= 2.2),
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-timeout,
               python3-netcdf4,
               python3-mock,
               python3-dask
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/python-rioxarray
Vcs-Git: https://salsa.debian.org/science-team/python-rioxarray.git
Homepage: https://github.com/corteva/rioxarray

Package: python3-rioxarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-scipy,
         python3-rasterio,
         python3-xarray (>= 0.17),
         python3-pyproj (>= 2.2)
Description: rasterio xarray extension
 rioxarray is an extension to the xarray package that
  - supports multidimensional datasets such as netCDF
  - stores the CRS as a WKT, which is the recommended format
  - loads in the CRS, transform, and nodata metadata in standard CF & GDAL
    locations
  - supports masking and scaling data with the masked and mask_and_scale kwargs
  - adds the coordinate axis CF metadata
  - loads in raster metadata into the attributes
 .
 This package provides the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rioxarray
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/corteva/rioxarray/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rioxarray 0.15.0

=== debian/changelog ===
python-rioxarray (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * New d/clean file (CLoses: 1048400).
  * debian/control:
    - Use <!nocheck> markers.
    - Build-depend on dh-sequence-numpy3 and pybuild-plugin-pyproject.
    - Drop unnecessary versioned (build) dependencies.
    - Drop unnecessary dependency on pandoc.
    - Sort dependency list.
    - Switch to autopkgtest-pkg-pybuild.
  * debian/rules:
    - Cleanup.
    - Re-enamle testing.
  * New d/python3-rioxarray.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 15 Aug 2023 09:52:25 +0000

python-rioxarray (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.6.2, no changes.
  * Update dates in d/dopyright.
  * debian/control:
    - add numpy and packaging to dependencies.
  * Enable CI on salsa.d.o.
  * Bump debhelper-compat version to 13.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jun 2023 08:06:22 +0000

=== debian/control ===
Source: python-rioxarray
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Magnus Hagdorn <magnus.hagdorn@ed.ac.uk>,
           Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dask,
               python3-mock <!nocheck>,
               python3-netcdf4,
               python3-numpy,
               python3-packaging,
               python3-pyproj,
               python3-rasterio,
               python3-scipy,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-xarray (>= 0.17)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/python-rioxarray
Vcs-Git: https://salsa.debian.org/science-team/python-rioxarray.git
Homepage: https://github.com/corteva/rioxarray
Rules-Requires-Root: no

Package: python3-rioxarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pyproj,
         python3-rasterio,
         python3-scipy,
         python3-xarray (>= 0.17)
Description: rasterio xarray extension
 rioxarray is an extension to the xarray package that
  - supports multidimensional datasets such as netCDF
  - stores the CRS as a WKT, which is the recommended format
  - loads in the CRS, transform, and nodata metadata in standard CF & GDAL
    locations
  - supports masking and scaling data with the masked and mask_and_scale kwargs
  - adds the coordinate axis CF metadata
  - loads in raster metadata into the attributes
 .
 This package provides the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=rioxarray
export PYBUILD_TEST_ARGS=\
-k "not test_clip_geojson__no_drop \
and not test_clip_geojson \
and not test_interpolate_na \
and not test_merge_datasets \
and not test_open_rasterio_mask_chunk_clip"

%:
	dh $@ --buildsystem=pybuild

## python-rioxarray 0.15.1

=== debian/changelog ===
python-rioxarray (0.15.1-2) unstable; urgency=medium

  * debian/rules:
    - Skip tests that are broken on i386.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Jan 2024 13:39:36 +0000

python-rioxarray (0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/control:
    - Update versioned dependency on xarray.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Jan 2024 12:18:50 +0000

python-rioxarray (0.15.0-4) unstable; urgency=medium

  * debian/rules:
    - include the missing /usr/share/dpkg/architecture.mk.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 28 Aug 2023 05:33:17 +0000

python-rioxarray (0.15.0-3) unstable; urgency=medium

  * debian/rules:
    - Disable tests on s390x.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 27 Aug 2023 17:34:25 +0000

python-rioxarray (0.15.0-2) unstable; urgency=medium

  * debian/rules:
    - Skip broken tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 27 Aug 2023 07:02:41 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-timeout <!nocheck>,
-               python3-xarray (>= 0.17)
+               python3-xarray (>= 2022.3.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-rioxarray
 Vcs-Git: https://salsa.debian.org/science-team/python-rioxarray.git

## python-rioxarray 0.15.5

=== debian/changelog ===
python-rioxarray (0.15.5-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Apr 2024 08:50:41 +0000

python-rioxarray (0.15.4-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Apr 2024 08:57:55 +0000

python-rioxarray (0.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Apr 2024 10:51:44 +0000

python-rioxarray (0.15.1-3) unstable; urgency=medium

  * debian/control:
    - Drop outdated dependency on python-mock (Closes: #1067235).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 27 Mar 2024 06:42:30 +0000

## python-rioxarray 0.15.7

=== debian/changelog ===
python-rioxarray (0.15.7-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Jun 2024 07:50:05 +0000

python-rioxarray (0.15.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2024 17:06:48 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-dask,
-               python3-mock <!nocheck>,
                python3-netcdf4,
                python3-numpy,
                python3-packaging,

## python-rioxarray 0.16.0

=== debian/changelog ===
python-rioxarray (0.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 11 Jul 2024 06:10:55 +0000

## python-rioxarray 0.17.0

=== debian/changelog ===
python-rioxarray (0.17.0-2) unstable; urgency=medium

  * debian/control:
    - Add explicit dependency on python3-setuptools.
      Closes: #1080775.
  * Standards version bumped to 4.7.0, no changes.
  * Add d/sources/lintian--overrides for false positive
    uses-deprecated-python-stdlib detection.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Sep 2024 06:59:22 +0000

python-rioxarray (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Jul 2024 13:17:09 +0000

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,12 @@
                python3-pyproj,
                python3-rasterio,
                python3-scipy,
+               python3-setuptools,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-xarray (>= 2022.3.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-rioxarray
 Vcs-Git: https://salsa.debian.org/science-team/python-rioxarray.git
 Homepage: https://github.com/corteva/rioxarray

## python-rioxarray 0.18.2

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,8 @@
 report: install-dev coverage ## clean, install development version, run all tests, produce coverage report
 
 install: clean ## install the package to the active Python's site-packages
-	pip install .
+	python -m pip install .[all]
 
 install-dev: clean ## install development version to active Python's site-packages
-	pip install -e .[all]
+	python -m pip install -e .[all]
+	python -m pip install -r requirements/dev.txt

=== debian/changelog ===
python-rioxarray (0.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0002-rasterio-1.4.3.patch, applied upstream.
    - Refresh remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 17 Jan 2025 18:42:50 +0000

python-rioxarray (0.18.1-2) unstable; urgency=low

  * debian/patches:
    - New 0002-rasterio-1.4.3.patch (Closes: #1088970).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Dec 2024 22:43:09 +0000

python-rioxarray (0.18.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Drop unused lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Nov 2024 16:28:31 +0000

python-rioxarray (0.17.0-3) unstable; urgency=low

  * debian/patches:
    - New 0001-rasterio-1.4.patch.
      Fix FTBFS with rasterio 1.4 (Closes: #1081258).
      Patch provided by Bas Couwenberg.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Sep 2024 14:36:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-rioxarray
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Magnus Hagdorn <magnus.hagdorn@ed.ac.uk>,
            Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                dh-sequence-numpy3,
                dh-sequence-python3,
                pybuild-plugin-pyproject,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=rioxarray
export PYBUILD_TEST_ARGS=\
-k "not test_clip_geojson__no_drop \
and not test_clip_geojson \
and not test_interpolate_na \
and not test_merge_datasets \
and not test_open_rasterio_mask_chunk_clip \
and not test_to_raster__different_dtype \
and not test_nonstandard_dims_write_coordinate_system__projected_ft"

ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
export PYBUILD_DISABLE=test
endif

%:
	dh $@ --buildsystem=pybuild

## python-rioxarray 0.19.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = rioxarray
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-rioxarray (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Standards version bumped to 4.7.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 06 Aug 2025 05:33:26 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-pytest-cov <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-xarray (>= 2022.3.0)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-rioxarray
 Vcs-Git: https://salsa.debian.org/science-team/python-rioxarray.git
 Homepage: https://github.com/corteva/rioxarray

## python-rioxarray 0.20.0

=== debian/changelog ===
python-rioxarray (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Update dates in d/copyright.
  * debina/patches:
    - Update the list of tests to skip.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 28 Nov 2025 13:58:39 +0000

## python-rioxarray 0.21.0

=== Makefile ===
--- 
+++ 
@@ -89,8 +89,7 @@
 report: install-dev coverage ## clean, install development version, run all tests, produce coverage report
 
 install: clean ## install the package to the active Python's site-packages
-	python -m pip install .[all]
+	python -m pip install .
 
 install-dev: clean ## install development version to active Python's site-packages
-	python -m pip install -e .[all]
-	python -m pip install -r requirements/dev.txt
+	python -m pip install -e . --group dev

=== debian/changelog ===
python-rioxarray (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Feb 2026 20:32:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
            Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-numpy3,
                dh-sequence-python3,
@@ -22,11 +21,10 @@
                python3-pytest-cov <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-xarray (>= 2022.3.0)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/python-rioxarray
 Vcs-Git: https://salsa.debian.org/science-team/python-rioxarray.git
 Homepage: https://github.com/corteva/rioxarray
-Rules-Requires-Root: no
 
 Package: python3-rioxarray
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=rioxarray
export PYBUILD_TEST_ARGS=\
-k "not test_clip_geojson__no_drop \
and not test_rasterio_vrt_gcps \
and not test_reproject__gcps_kwargs \
and not test_reproject__gcps_file"

ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
export PYBUILD_DISABLE=test
endif

%:
	dh $@ --buildsystem=pybuild
